import React, { ReactElement } from "react";
export type TGradientDivProps = {
    tooltip?: string;
    alignment?: "right" | "left";
    gradientAreaWidth?: number;
    gradientStages?: number[];
    gradientColorRGB?: {
        r: number;
        g: number;
        b: number;
    };
    onChangeOverflow?: (overflow: boolean) => void;
};
export declare const GradientDiv: (props: TGradientDivProps & React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>) => ReactElement;
export default GradientDiv;
